<ion-app>
  <ion-content class="ion-padding">
    <ng-container *ngIf="dispatchView else dataAwaitedBlk">
      <mat-expansion-panel class="parametersPanel">
        <mat-expansion-panel-header>
          <mat-panel-title>
            <mat-icon class="e-mat-icon e-mat-icon--2">date_range</mat-icon>
            <span class="eh-w-140 eh-ml-2">{{dateFC.value | date:'E | d-MMM-y':'+0530'}}</span>
            <span *ngIf="isNew" class="e-txt e-txt--matred300 eh-txt-12 eh-txt-bold eh-ml-8">
              New!
            </span>
          </mat-panel-title>
        </mat-expansion-panel-header>

        <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="start center">
          <span>Frontal photos</span>
          <div class="eh-ml-12">
         
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Upload'" [loading]="uploadingFrontal"
              [disabled]="isAnyLoaderActive()" (onButtonClick)="fileUpload1.click()">
            </app-button>
          </div>
        </div>

        <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
          <div *ngFor="let image of frontalImagesArr" class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
            <img *ngIf="image.fileURL" [src]="image.fileURL" class="eh-fit eh-csr-ptr" alt=""
              (click)="openLightbox(image.fileURL)">
            <div *ngIf="image" class="eh-pos-absolute" style="top: -16px; right: -16px;">
              <app-button-icon *ngIf="image.fileURL" [icon]="'cancel'"
                [iconStyle]="'e-mat-icon--3 e-txt e-txt--matgrey600'" [loading]="deleting"
                [disabled]="isAnyLoaderActive()" [toolTip]="'Delete'" (onButtonClick)="onDeleteFile(image, 'Frontal')">
              </app-button-icon>
            </div>
          </div>
        </div>

        <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="start center">
          <span>Lateral photos</span>
          <div class="eh-ml-12">
       
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Upload'" [loading]="uploadingLateral"
              [disabled]="isAnyLoaderActive()" (onButtonClick)="fileUpload2.click()">
            </app-button>
          </div>
        </div>

        <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
          <div *ngFor="let image of lateralImagesArr" class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
            <img [src]="image.fileURL" class="eh-fit eh-csr-ptr" alt="" (click)="openLightbox(image.fileURL)">
            <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
              <app-button-icon *ngIf="image.fileURL" [icon]="'cancel'"
                [iconStyle]="'e-mat-icon--3 e-txt e-txt--matgrey600'" [loading]="deleting"
                [disabled]="isAnyLoaderActive()" [toolTip]="'Delete'" (onButtonClick)="onDeleteFile(image, 'Lateral')">
              </app-button-icon>
            </div>
          </div>
        </div>

        <div class="eh-mt-16" fxLayout="row" fxLayoutAlign="start center">
          <span>Back photos</span>
          <div class="eh-ml-12">
            <app-button [buttonStyle]="'e-mat-button--eblue400'" [title]="'Upload'" [loading]="uploadingBack"
              [disabled]="isAnyLoaderActive()" (onButtonClick)="fileUpload3.click()">
            </app-button>
          </div>
        </div>

        <div *ngIf="panel.expanded" class="eh-mt-16" fxLayout="row wrap">
          <div *ngFor="let image of backImagesArr" class="eh-w-76 eh-ml-12 eh-mt-12 eh-pos-relative">
            <img [src]="image.fileURL" class="eh-fit eh-csr-ptr" alt="" (click)="openLightbox(image.fileURL)">
            <div class="eh-pos-absolute" style="top: -16px; right: -16px;">
              <app-button-icon *ngIf="image.fileURL" [icon]="'cancel'"
                [iconStyle]="'e-mat-icon--3 e-txt e-txt--matgrey600'" [loading]="deleting"
                [disabled]="isAnyLoaderActive()" [toolTip]="'Delete'" (onButtonClick)="onDeleteFile(image, 'Back')">
              </app-button-icon>
            </div>
          </div>
        </div>

        <app-upload-file [file]="file" [fileName]="fileName" [uploadByName]="me.name" [uploadByUID]="me.uid"
          [uploadCollectionName]="uploadCollectionName" [uploadDir]="uploadDir" [userMembershipKey]="me.membershipKey"
          [userName]="me.name" [userUID]="me.uid" (onUploadComplete)="onUploadComplete($event)">
        </app-upload-file>
      </mat-expansion-panel>
    </ng-container>

    <ng-template #dataAwaitedBlk>
      <div class="e-spinner">
        <mat-spinner [diameter]="30" [strokeWidth]="3"></mat-spinner>
      </div>
    </ng-template>
  </ion-content>
</ion-app>